/*
 * $Id: viad2.h,v 1.1 1997/05/22 21:43:04 fachat Exp $
 *
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 * Written by
 *   Andre' Fachat (fachat@physik.tu-chemnitz.de)
 *   Daniel Sladic (sladic@eecg.toronto.edu)
 *   Ettore Perazzoli (ettore@comm2000.it)
 *
 * $Log: viad2.h,v $
 * Revision 1.1  1997/05/22 21:43:04  fachat
 * Initial revision
 *
 */

/* 1541 VIA 2 header.  viad2.c is built by convvia from this file and
   via-tmpl.c. */

INCLUDES()
{
	#include "true1541.h"
}

#define	GLOBALS

#define	VIAD2_INT	IK_IRQ

/* #define VIAD2_TIMER_DEBUG */

PRE_VIA_FUNCS()
{
}

STORE_PRA()
{
	true1541_write_gcr(viaD2[VIA_PRA]);
	viaD2[addr] = byte;
}

STORE_PRB()
{
	if (addr == VIA_PRB) {
	  true1541_led_status = byte & 8;
	  if ((viaD2[addr] ^ byte) & 0x3)      /* Stepper motor */
	  {
	    if ((viaD2[addr] & 0x3) == ((byte + 1) & 0x3))
              true1541_move_head(-1);
            else if ((viaD2[addr] & 0x3) == ((byte - 1) & 0x3))
              true1541_move_head(+1);
	  }
	}
	viaD2[addr] = byte & 0xef;
}

#define	STORE_PCR

#define	STORE_ACR

#define	STORE_SR

#define	STORE_T2L

#define	RESET_VIA

#define READ_PRA       return true1541_read_disk_byte();

READ_PRB() 
{
        if (true1541_sync_found())
           viaD2[VIA_PRB] &= 0x7f;
        else
           viaD2[VIA_PRB] |= 0x80;

	if (true1541_write_protect_sense())
	    return viaD2[VIA_PRB] & ~0x10;
	else
	    return viaD2[VIA_PRB] | 0x10;
}

#define POST_VIA_FUNCS
